Exceções pré-definidas
Exception::__construct
Exceções pré-definidas
PHP Manual

# Exception

## Introdução

Exception é a classe base para todas Exceptions.

## Sinopse da classe

Exception
Exception {
/* Properties */
protected string $message ;
private string $string ;
protected int $code ;
protected string $file ;
protected int $line ;
private array $trace ;
/* Methods */
public __construct ([ string `$message`= NULL [, int `$code` ]] )
final public string getMessage ( void )
final public int getCode ( void )
final public string getFile ( void )
final public string getLine ( void )
final public array getTrace ( void )
final public string getTraceAsString ( void )
public string __toString ( void )
final private string __clone ( void )
}

## Propriedades

message

  A mensagem da exceção

string

  Nome interno da exceção

code

  O código da exceção

file

  O nome do arquivo onde a exceção foi disparada

line

  A linha onde a exceção foi disparada

trace

  A stack trace

## Índice

- Exception::__construct — Construtor da exceção
- Exception::getMessage — Obtém a mensagem da exceção
- Exception::getCode — Obtém o código da exceção
- Exception::getFile — Obtém o arquivo no qual a exceção ocorreu
- Exception::getLine — Obtém a linha na qual a exceção ocorreu
- Exception::getTrace — Obtém a stack trace
- Exception::getTraceAsString — Obtém a stack trace como uma string
- Exception::__toString — Representação string da exceção
- Exception::__clone — Clona a exceção

Exceções pré-definidas
Exception::__construct
Exceções pré-definidas
PHP Manual